Index: extensions/Autosize/autosize.inc.php
===================================================================
--- extensions/Autosize/autosize.inc.php	(revision 16682)
+++ extensions/Autosize/autosize.inc.php	(revision 16931)
@@ -37,17 +37,12 @@
     $ma_page=isset($page['body_id'])?$page['body_id']:"" ;
     if ($ma_page=='thePiwiShackControllerPage') return ;
-
-
-    if (PHPWG_VERSION < 2.2 ) 
-      $file =AUTOSIZE_PATH_ABS.'template/header_2_1.tpl' ;
-    else 
-      $file =AUTOSIZE_PATH_ABS.'template/header_2_2.tpl' ;
+      $file =AUTOSIZE_PATH_ABS.'template/header.tpl' ;
     $template->set_filenames(array('autosize_init_header'=> $file ));
     $template->set_filenames(array('autosize_init'=>AUTOSIZE_PATH_ABS. "template/conflit.tpl" ) );
-//=================================================================================================
+//================================================================
 $DEBUG_autosize = isset($_POST['cl_debug_conflit']) ? $_POST['cl_debug_conflit'] : "false" ;
 $DEBUG_autosize = isset($_GET['cl_debug_conflit']) ? $_GET['cl_debug_conflit'] : $DEBUG_autosize ;
 $DEBUG_autosize = isset($conf['cl_debug_conflit']) ? $conf['cl_debug_conflit'] : $DEBUG_autosize ; 
-//=================================================================================================
+//======================================================================
     $autosize_parametres =	 cl_autosize_Get_Options() ;			
     $theme=$user['theme'];
@@ -69,8 +64,8 @@
 		return $template->parse( 'autosize_init', false);
 	}// function cl_autosize_script_1
- //===========================================================
- /*
-  * cl_autosize_script_2()
- */
+
+ /*************************************
+ * cl_autosize_script_2()
+ **************************************/
  static public function cl_autosize_script_2()
  {
@@ -79,9 +74,9 @@
 
 			$AUTOSIZE_PATH = dirname(__FILE__).'/';
-//=================================================================================================
+//================================================================
 $DEBUG_autosize = isset($_POST['cl_debug_conflit']) ? $_POST['cl_debug_conflit'] : "false" ;
 $DEBUG_autosize = isset($_GET['cl_debug_conflit']) ? $_GET['cl_debug_conflit'] : $DEBUG_autosize ;
 $DEBUG_autosize = isset($conf['cl_debug_conflit']) ? $conf['cl_debug_conflit'] : $DEBUG_autosize ; 
-//=================================================================================================
+//=====================================================================
 
 
@@ -156,4 +151,68 @@
 		return $menu;
 	} //function cl_autosize_admin
+  //=====================================
+
+
+  // this is the default handler that generates the display for the element
+ static public function autosize_RenderContent($content, $element_info)
+{
+  global $conf;  
+  if ( !empty($content) )
+  {// someone hooked us - so we skip;
+    return $content;
+  }
+  if (isset($_COOKIE['picture_deriv']))
+  {
+    if ( array_key_exists($_COOKIE['picture_deriv'], ImageStdParams::get_defined_type_map()) )
+    {
+      pwg_set_session_var('picture_deriv', $_COOKIE['picture_deriv']);
+    }
+    setcookie('picture_deriv', false, 0, cookie_path() );
+  }
+  $deriv_type = pwg_get_session_var('picture_deriv', $conf['derivative_default_size']);
+  $selected_derivative = $element_info['derivatives'][$deriv_type];
+
+  $unique_derivatives = array();
+  $show_original = isset($element_info['element_url']);
+  $added = array();
+  foreach($element_info['derivatives'] as $type => $derivative)
+   $element_info['derivatives']['Autosize']=$derivative; // last
+
+  foreach($element_info['derivatives'] as $type => $derivative) {     
+  if ($type=='Autosize'){    
+       
+    $url = $derivative->get_url(); 
+    if (isset($added[$url]))
+      continue;
+    $added[$url] = 1;
+    $show_original &= !($derivative->same_as_source());
+    $unique_derivatives[$type]= $derivative;
+     }
+
+  }
+
+  global $page, $template;
+
+  if ($show_original)
+  {
+    $template->assign( 'U_ORIGINAL', $element_info['element_url'] );
+  }
+
+  $template->append('current', array(
+      'selected_derivative' => $selected_derivative,
+      'unique_derivatives' => $unique_derivatives,
+    ), true);    
+      $file =AUTOSIZE_PATH_ABS.'template/picture_content.tpl' ;
+  $template->set_filenames(
+    array('autosize_content'=> $file)
+    );
+
+  $template->assign( array(
+      'ALT_IMG' => $element_info['file'],
+      'COOKIE_PATH' => cookie_path(),
+      )
+    );
+   return $template->parse( 'autosize_content', false);
+ }
 
     //===============================================================
@@ -174,25 +233,19 @@
 				$autosize_parametres = cl_autosize_Get_Options();
 				include (AUTOSIZE_PATH."include/affiche.php"); 
-
-       if (PHPWG_VERSION < 2.2 ) 
-                $file =AUTOSIZE_PATH_ABS.'template/picture_2_1.tpl' ;
-        else 
-                $file =AUTOSIZE_PATH_ABS.'template/picture_2_2.tpl' ;
-
-
-
-        $template->set_filenames(array('autosize_content_header'=> $file ));  
-        $template->concat('autosize_content', $template->parse('autosize_content_header', true));   
-                        
+        $file =AUTOSIZE_PATH_ABS.'template/picture_1.tpl' ;
+        $template->set_filenames(array('autosize_content_header'=> $file )); 
+        $template->concat('autosize_content', $template->parse('autosize_content_header', true));                           
         $template->set_filenames(array('autosize_init_header'=> $file ));
-                           		
+        	$theme=$user['theme'];    
+          $deriv_type = pwg_get_session_var('picture_deriv', IMG_LARGE);                 		
 				if($autosize_parametres->check_icon_v == 'on'){				 
 						$template->assign('cl_autosize_button', 
 						array(	'cl_autosize_info' => 'cl_autosize_info' ,
-            'cl_autosize_info_1' => 'cl_autosize_info_' ,  
+                    'cl_autosize_info_1' => 'cl_autosize_info_' ,  
 								    'cl_autosize_info_2' => 'cl_autosize_info_2' ,    
 								    'URL' => $_SERVER['REQUEST_URI'] ,
 								    'ICON2' => AUTOSIZE_PATH . 'icons/button-maximize.png',
-								    'ICON' => AUTOSIZE_PATH . 'icons/button-minimize.png'
+								    'ICON' => AUTOSIZE_PATH . 'icons/button-minimize.png',
+                    'ICON1' => AUTOSIZE_PATH . 'icons/button-no.png'
 								)
 
@@ -202,5 +255,6 @@
 				}
 				 $template->set_filenames(
-						array('autosize_content'=> $AUTOSIZE_PATH.'template/autosize.tpl')
+						array('autosize_content'=> $AUTOSIZE_PATH.'template/autosize.tpl',
+             'theme' => $theme   )
 					);
 			$template->concat('autosize_content', $template->parse('autosize_content_header', true));		
@@ -216,7 +270,5 @@
 					
         $template->parse('mes_script');
-      }      
-        
-        
+      }     
         
         return $template->parse( 'autosize_content', false);
@@ -318,16 +370,11 @@
     $def_para['query'] = 'Qt'  ;
     $def_para['type'] = 'Ty' ;
-    $def_para['webmaster_height'] = '100%' ;
-    $def_para['webmaster_width'] = '100%' ;
-    $def_para['admin_height'] = '100%'  ;
-    $def_para['admin_width'] =  '100%' ;
-    $def_para['generic_height'] = '100%'  ;
-    $def_para['generic_width'] =  '100%' ;
-
-    $def_para['guest_height'] = '100%'  ;
-    $def_para['guest_width'] =  '100%' ;
-
-    $def_para['normal_height']  =  '100%'  ;
-    $def_para['normal_width'] =  '100%' ;
+
+    $def_para['webmaster_type'] = 'Autosize' ; 
+    $def_para['admin_type'] = 'Autosize'  ; 
+    $def_para['generic_type'] = 'Autosize'  ;
+    $def_para['guest_type'] = 'Autosize'  ;
+    $def_para['normal_type']  =  'Autosize'  ;
+ 
 
 
@@ -344,5 +391,5 @@
     $def_para['check_desc_v'] =  "off" ;
     $def_para['check_icon_v'] =  "off" ;
-    $def_para['check_auto_w'] =   "off" ;
+    
     $def_para['webmaster_enabled'] =   "off" ;
     $def_para['admin_enabled'] =   "off" ;
@@ -403,6 +450,4 @@
 //=============================================================================
 $my_para=$autosize_parametres;
-
-
   if (empty($my_para))
 $my_para = (object) '';
@@ -411,18 +456,16 @@
 $my_para->type=(isset($_POST['type']))? $_POST['type']: ((isset($my_para->type)) ? $my_para->type:  'Ty') ;
 
-$my_para->webmaster_height =(isset($_POST['webmaster_height'])) ? $_POST['webmaster_height'] : ((isset($my_para->webmaster_height )) ? $my_para->webmaster_height : '100%' ) ;
-$my_para->webmaster_width=(isset($_POST['webmaster_width']))? $_POST['webmaster_width']: ((isset($my_para->webmaster_width)) ? $my_para->webmaster_width:  '100%') ;
-
-$my_para->admin_height =(isset($_POST['admin_height'])) ? $_POST['admin_height'] : ((isset($my_para->admin_height )) ? $my_para->admin_height : '100%' ) ;
-$my_para->admin_width=(isset($_POST['admin_width']))? $_POST['admin_width']: ((isset($my_para->admin_width)) ? $my_para->admin_width:  '100%') ;
-
-$my_para->generic_height =(isset($_POST['generic_height'])) ? $_POST['generic_height'] : ((isset($my_para->generic_height )) ? $my_para->generic_height : '100%' ) ;
-$my_para->generic_width=(isset($_POST['generic_width']))? $_POST['generic_width']: ((isset($my_para->generic_width)) ? $my_para->generic_width:  '100%') ;
-
-$my_para->guest_height =(isset($_POST['guest_height'])) ? $_POST['guest_height'] : ((isset($my_para->guest_height )) ? $my_para->guest_height : '100%' ) ;
-$my_para->guest_width=(isset($_POST['guest_width']))? $_POST['guest_width']: ((isset($my_para->guest_width)) ? $my_para->guest_width:  '100%') ;
-
-$my_para->normal_height =(isset($_POST['normal_height'])) ? $_POST['normal_height'] : ((isset($my_para->normal_height )) ? $my_para->normal_height : '100%' ) ;
-$my_para->normal_width=(isset($_POST['normal_width']))? $_POST['normal_width']: ((isset($my_para->normal_width)) ? $my_para->normal_width:  '100%') ;
+$my_para->webmaster_type =(isset($_POST['webmaster_type'])) ? $_POST['webmaster_type'] : ((isset($my_para->webmaster_type )) ? $my_para->webmaster_type : 'Autosize' ) ;
+
+$my_para->admin_type =(isset($_POST['admin_type'])) ? $_POST['admin_type'] : ((isset($my_para->admin_type )) ? $my_para->admin_type : 'Autosize' ) ;
+
+$my_para->generic_type =(isset($_POST['generic_type'])) ? $_POST['generic_type'] : ((isset($my_para->generic_type )) ? $my_para->generic_type : 'Autosize' ) ;
+
+
+$my_para->guest_type =(isset($_POST['guest_type'])) ? $_POST['guest_type'] : ((isset($my_para->guest_type )) ? $my_para->guest_type : 'Autosize' ) ;
+
+
+$my_para->normal_type =(isset($_POST['normal_type'])) ? $_POST['normal_type'] : ((isset($my_para->normal_type )) ? $my_para->normal_type : 'Autosize' ) ;
+
 
 
@@ -442,5 +485,5 @@
 		$my_para->check_desc_v = isset($_POST['check_desc_v']) ? $_POST['check_desc_v'] : "off" ;
 		$my_para->check_icon_v = isset($_POST['check_icon_v']) ? $_POST['check_icon_v'] : "off" ;
- 		$my_para->check_auto_w = isset($_POST['check_auto_w']) ? $_POST['check_auto_w'] : "off" ;
+ 	
 
 		$my_para->webmaster_enabled = isset($_POST['webmaster_enabled']) ? $_POST['webmaster_enabled'] : "off" ;
@@ -453,5 +496,5 @@
 		$my_para->check_desc_v = isset($_POST['check_desc_v']) ? $_POST['check_desc_v'] : ( ( isset($my_para->check_desc_v) ) ? $my_para->check_desc_v :   'off') ;  
 		$my_para->check_icon_v = isset($_POST['check_icon_v']) ? $_POST['check_icon_v'] : ( ( isset($my_para->check_icon_v) ) ? $my_para->check_icon_v :   'off') ;  
-		$my_para->check_auto_w = isset($_POST['check_auto_w']) ? $_POST['check_auto_w'] : ( ( isset($my_para->check_auto_w) ) ? $my_para->check_auto_w :   'off') ;  
+
 
 
Index: extensions/Autosize/include/affiche.php
===================================================================
--- extensions/Autosize/include/affiche.php	(revision 16682)
+++ extensions/Autosize/include/affiche.php	(revision 16931)
@@ -12,13 +12,51 @@
 $DEBUG_autosize = isset($_GET['cl_debug_conflit']) ? $_GET['cl_debug_conflit'] : $DEBUG_autosize ;
 $DEBUG_autosize = isset($conf['cl_debug_conflit']) ? $conf['cl_debug_conflit'] : $DEBUG_autosize ; 
-//=================================================================================================
+//===========================================================================
+$cookies="' x '";
 
-$img_width=isset($picture['current']['width'])?$picture['current']['width']:"480";
-$img_height=isset($picture['current']['height'])?$picture['current']['height']:"320";
-$img_scaled_width=isset($picture['current']['scaled_width'])?$picture['current']['scaled_width']:"480";
-$img_scaled_height=isset($picture['current']['scaled_height'])?$picture['current']['scaled_height']:"320";
+$current = $template->get_template_vars('current');
+if (isset($_COOKIE['picture_deriv']))
+  {
+  if (isset($_COOKIE['img_w']))
+  $cookies =  '"'.$_COOKIE['img_w']." x ".  $_COOKIE['img_h'] .'"';
 
-$src_img_h=isset($_POST['src_img_h'])?$_POST['src_img_h']: $img_height            ;
-$src_img_w= isset($_POST['src_img_w'])?$_POST['src_img_w']:  $img_width               ;
+    if ( array_key_exists($_COOKIE['picture_deriv'], ImageStdParams::get_defined_type_map()) )
+    {
+      pwg_set_session_var('picture_deriv', $_COOKIE['picture_deriv']);
+    }
+    setcookie('picture_deriv', false, 0, cookie_path() );
+  }
+  $deriv_type = pwg_get_session_var('picture_deriv', $conf['derivative_default_size']);
+
+if (isset($current)){
+ $derivative=$current['selected_derivative'] ;
+  $imgScaledWH=$derivative->src_image->get_size();
+	$imgSizeWH  =  $derivative->get_size();	
+  $img_type  =  $derivative->get_type();	
+  $img_url  = $derivative->get_url();
+  $img_all= $derivative->get_all($derivative->src_image);
+  $scaled_size=$derivative->get_size_hr(); //792 x 441
+   $scaled_size=$derivative->get_scaled_size_htm(); // width="792" height="441"
+   //================= taille mis a l'échelle 
+   $scaled_size=$derivative->get_scaled_size(100,100); // array([0]=>100,[1]=>55)
+  $src= $derivative->src_image ;
+     
+    }
+
+          $defined_types = array_keys(ImageStdParams::get_defined_type_map());      
+
+
+
+$img_width=isset($imgScaledWH)?$imgSizeWH[0]:"480";
+$img_height=isset($imgScaledWH)?$imgSizeWH[1]:"320";
+
+$img_scaled_width=isset($imgScaledWH)?$imgScaledWH[0]:"480";
+$img_scaled_height=isset($imgScaledWH)?$imgScaledWH[1]:"320";
+
+
+ 
+$src_img_h=isset($_POST['src_img_h'])?$_POST['src_img_h']: $img_height  ;
+$src_img_w= isset($_POST['src_img_w'])?$_POST['src_img_w']:  $img_width ;
+
 $window_height= isset($_POST['window_height'])?$_POST['window_height']: $img_scaled_height ;
 $window_width= isset($_POST['window_width'])?$_POST['window_width']: $img_scaled_width    ;
@@ -41,8 +79,41 @@
 											)
 									);	
-                 
-if (!isset($conf['prefix_thumbnail'])) $conf['prefix_thumbnail']="TN_";                    	
+if (!isset($conf['prefix_thumbnail'])) $conf['prefix_thumbnail']="TN_";   
+
+
+//======================================================   
+
+$options['Autosize'] = ''.l10n('Autosize').''; 
+foreach ($defined_types as $type_size){
+  $value = $type_size;
+  $options[$value] = $type_size;   
+}  
+//======================================================     
+     	
   	$template->assign(
-  					array(
+  					array( 
+            'ratio' =>$img_scaled_width/$img_scaled_height ,
+            'cookies' =>  $cookies ,
+            'deriv_type' =>$deriv_type ,
+            'webmaster_type' => array(
+                                            'OPTIONS' => $options,
+                                            'SELECTED' => $autosize_parametres->webmaster_type
+                                            ),
+            'admin_type' => array(
+                                            'OPTIONS' => $options,
+                                            'SELECTED' => $autosize_parametres->admin_type
+                                            ),
+            'generic_type' => array(
+                                            'OPTIONS' => $options,
+                                            'SELECTED' => $autosize_parametres->generic_type
+                                            ),
+            'guest_type' => array(
+                                            'OPTIONS' => $options,
+                                            'SELECTED' => $autosize_parametres->guest_type
+                                            ),
+            'normal_type' => array(
+                                            'OPTIONS' => $options,
+                                            'SELECTED' => $autosize_parametres->normal_type
+                                            ),
             'DEBUG_autosize' =>  $DEBUG_autosize   ,
             'cl_visible' =>  $cl_visible,
@@ -56,5 +127,6 @@
             'theme' => $theme,
             'SCALED_WIDTH' => $img_scaled_width,
-            'SCALED_HEIGHT' => $img_scaled_height,                    
+            'SCALED_HEIGHT' => $img_scaled_height,      
+                          
             'IMG_WIDTH' 	=> $img_width,
             'IMG_HEIGHT'	=> $img_height,
@@ -68,26 +140,13 @@
             'ECHELLE_MAX' => $autosize_parametres->echelle_max,
 
-            'check_auto_w' => ($autosize_parametres->check_auto_w == 'on') ? 'checked="checked"'  : '' ,
-            'check_icon_v' => ($autosize_parametres->check_icon_v == 'on') ? 'checked="checked"'  : '' ,
+       
+            'check_icon_v' => ($autosize_parametres->check_icon_v == 'on') ? 'checked="checked"'  : ''  ,
             'check_desc_v' => ($autosize_parametres->check_desc_v == 'on') ? 'checked="checked"'  : '' ,
 
-            'webmaster_width' => $autosize_parametres->webmaster_width,
-            'webmaster_height' => $autosize_parametres->webmaster_height,
+
             'webmaster_enabled' => ($autosize_parametres->webmaster_enabled == 'on') ? 'checked="checked"'  : '' ,
-
-            'admin_width' => $autosize_parametres->admin_width,
-            'admin_height' => $autosize_parametres->admin_height,
             'admin_enabled' => ($autosize_parametres->admin_enabled == 'on') ? 'checked="checked"'  : '' ,
-
-            'generic_width' => $autosize_parametres->generic_width,
-            'generic_height' => $autosize_parametres->generic_height,
             'generic_enabled' => ($autosize_parametres->generic_enabled == 'on') ? 'checked="checked"'  : '' ,
-
-            'guest_width' => $autosize_parametres->guest_width,
-            'guest_height' => $autosize_parametres->guest_height,
-            'guest_enabled' => ($autosize_parametres->guest_enabled == 'on') ? 'checked="checked"'  : '' ,
-				 
-            'normal_width' => $autosize_parametres->normal_width,
-            'normal_height' => $autosize_parametres->normal_height,
+            'guest_enabled' => ($autosize_parametres->guest_enabled == 'on') ? 'checked="checked"'  : '' ,	
             'normal_enabled' => ($autosize_parametres->normal_enabled == 'on') ? 'checked="checked"'  : '' ,
 
